import * as i0 from "@angular/core";
export declare class LoggingService {
    constructor();
    identifyUser(userData: any): void;
    validHostnames: string[];
    trackEvent(eventName: string, properties?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoggingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LoggingService>;
}
